unit ExplorerUnit;

interface

uses
	Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
	Dialogs, Menus, BPLBase, BPLClient, ComCtrls, ExtCtrls;

type
  TExplorerForm = class(TForm)
    DynBPLClient1: TDynBPLClient;
    PopupMenu1: TPopupMenu;
    Package1Menu1: TMenuItem;
    Package1Menu2: TMenuItem;
    Package1Menu3: TMenuItem;
    Splitter1: TSplitter;
    TreeView1: TTreeView;
    ListView1: TListView;
    procedure FormCreate(Sender: TObject);
    procedure Package1Menu1Click(Sender: TObject);
    procedure Package1Menu2Click(Sender: TObject);
    procedure Package1Menu3Click(Sender: TObject);
  private
    { Private-Deklarationen }
	public
    { Public-Deklarationen }
  end;

var
  ExplorerForm: TExplorerForm;

implementation

{$R *.dfm}


procedure TExplorerForm.FormCreate(Sender: TObject);
begin
	DynBPLClient1.CallService('Add.Menu', PopupMenu1, false );
	DynBPLClient1.CallService('Add.Form',self,false);
end;

procedure TExplorerForm.Package1Menu1Click(Sender: TObject);
begin
	ShowMessage( 'You just clicked the first menu item from Explorer Client' );
end;

procedure TExplorerForm.Package1Menu2Click(Sender: TObject);
begin
	ShowMessage( 'OK, here''s the second one' );
end;

procedure TExplorerForm.Package1Menu3Click(Sender: TObject);
begin
	ShowMessage( 'Explorer''s menu item No. 3' );
end;

initialization
	ExplorerForm := TExplorerForm.Create(nil);

finalization
	ExplorerForm.Free;

end.
